package org.fusesource.example.cxf_basic;

import javax.jws.WebService;
import javax.xml.ws.Holder;

import org.fusesource.example.cxf_basic.types.GetPerson;
import org.fusesource.example.cxf_basic.types.GetPersonResponse;

@WebService(serviceName = "PersonService", endpointInterface = "org.fusesource.example.cxf_basic.Person")
public class PersonImpl implements Person {

    public void getPerson(Holder<String> personId, Holder<String> ssn, Holder<String> name)
        throws UnknownPersonFault
    {
        if (personId.value == null || personId.value.length() == 0) {
            org.fusesource.example.cxf_basic.types.UnknownPersonFault fault = new org.fusesource.example.cxf_basic.types.UnknownPersonFault();
            fault.setPersonId(personId.value);
            throw new UnknownPersonFault(null,fault);
        }
        name.value = "Guillaume";
        ssn.value = "000-000-0000";
    }

}
